<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\UsersController;
use App\Http\Controllers\Api\LokersController;
use App\Http\Controllers\Api\PenitipanController;


Route::get('/lokers', [LokersController::class, 'index']);
Route::get('/lokers/nomor/{nomor_loker}', [LokersController::class, 'getByNomorLoker']);
Route::post('/lokers/store', [LokersController::class, 'store']);
Route::put('/lokers/{id}/status', [LokersController::class, 'updateStatus']);
Route::get('/today', [LokersController::class, 'today']);
Route::post('/count', [LokersController::class, 'countByDate']);
Route::get('/penitipan', [PenitipanController::class, 'index']);
Route::post('/penitipan/store', [PenitipanController::class, 'store']);
Route::delete('/lokers/{id}', [LokersController::class, 'destroy']);
Route::get('/lokers/{id}/penitipan', [PenitipanController::class, 'getByLoker']);
Route::get('/penitipan/loker/{id}', [PenitipanController::class, 'getByLokerId']);
